You need to enable JavaScript to run this app.
TrafficRoute DNS Suite

TrafficRoute DNS Suite

Copy page
Download PDF
Resolver APIs
QueryResolverRule
Copy page
Download PDF
QueryResolverRule

Gets information about a rule.

Usage

  • Rate limit: 10 calls per second.

Request

  • Method: GET
  • URL: https://private-zone.volcengineapi.com/?Action=QueryResolverRule?Version=2022-06-01

Request parameters

In addition to the following parameters, you also need to include the authentication parameters.

Query

Name
Type
Required
Example
Description
Action
String
Yes
QueryResolverRule
The name of the API. The value of this parameter is QueryResolverRule.
Version
String
Yes
2022-06-01
The version of the API. The value of this parameter is 2022-06-01.
RuleID
Integer
Yes
123
The ID of the rule. You can obtain it from the response of the following APIs:
  • CreateResolverRule
  • ListResolverRules
RuleTrn
String
No
trn:private_zone::21******4::rule/rule-1234
The TRN of the rule. The format is trn:private_zone::accountId::rule/rule-ruleId. If you need to verify whether an IAM user has operation permissions for the project where the rule is located, you need to pass this parameter.

Response parameters

ResponseMetadata object

Name
Type
Description
RequestId
String
The ID that identifies this request.
Action
String
The value of the Action query parameter.
Version
String
The API version.
Service
String
The service type.
Region
String
The region where the service is located.

Result object

Name
Type
Description
ID
Integer
The ID of the rule.
CreatedAt
String
The creation time of the rule.
UpdatedAt
String
The update time of the rule.
Name
String
The name of the rule.
Type
String
The type of the rule.
ZoneName
String
The domain name associated with the rule.
EndpointID
Integer
The ID of the outbound endpoint.
ForwardIPs
Array of Objects
The IP addresses and ports of the external DNS server.
BindVPCs
Array of Objects
The VPCs associated with the rule.
Enable
Boolean
Whether the rule is enabled.
  • true: The rule is enabled.
  • false: The rule is disabled.
LastOperator
String
The ID of the VolcanoEngine account that last updated the rule.
ProjectName
String
The name of the project to which the rule belongs.
Tags
Array of objects
One or more tags to which the rule belongs.

Example

Request example

POST https://private-zone.volcengineapi.com/?Action=QueryResolverRule&Version=2022-06-01&RuleID=123456

Response example

{
  "ResponseMetadata": {
    "RequestId": "20230616145641EA5B5D03C58060E30F62",
    "Action": "QueryResolverRule",
    "Version": "2022-06-01",
    "Service": "private_zone",
    "Region": "cn-beijing"
  },
  "Result": {
    "ID": 87,
    "CreatedAt": "2023-06-16T11:18:10+08:00",
    "UpdatedAt": "2023-06-16T11:18:10+08:00",
    "Name": "testRule",
    "Type": "OUTBOUND",
    "ZoneName": "test.com",
    "EndpointID": 238,
    "ForwardIPs": [
      {
        "IP": "1.**.**.**",
        "Port": 1
      },
      {
        "IP": "1.**.**.**",
        "Port": 3
      },
      {
        "IP": "1.**.**.**",
        "Port": 2
      }
    ],
    "BindVPCs": [
      {
        "ID": "vpc-2bzixxxxxg2dx0eg3ur0cv",
        "Region": "xxxxxxx",
        "RegionName": "xxxxxxx",
        "AccountID": "210xxxx597"
      }
    ],
    "Enable": true,
    "LastOperator": "210xxxx597",
    "ProjectName": "default",
    "Tags": []
  }
}

Common error codes

Refer to Common Error Codes.

Last updated: 2025.11.04 20:47:32